Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.http
Class FilterInitializer

    java.lang.Object
      org.apache.hadoop.http.FilterInitializer

Direct Known Subclasses:
  AuthenticationFilterInitializer, StaticUserWebFilter

    public abstract class FilterInitializer

extends Object

Initialize a javax.servlet.Filter.

Constructor Summary
`FilterInitializer()`

Method Summary
`abstract void` | `initFilter(FilterContainer container, Configuration conf)` Initialize a Filter to a FilterContainer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterInitializer

    public FilterInitializer()

Method Detail

### initFilter

    public abstract void initFilter(FilterContainer container,
                                    Configuration conf)

  Initialize a Filter to a FilterContainer.

  Parameters:
    `container` - The filter container
    `conf` - Configuration for run-time parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation